# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85"
name = "signet-types"
version = "0.10.2"
authors = ["init4"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A collection of types used in Signet."
homepage = "https://github.com/init4tech/signet-sdk"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/init4tech/signet-sdk"

[lib]
name = "signet_types"
path = "src/lib.rs"

[dependencies.alloy]
version = "1.0.25"
features = [
    "full",
    "rpc-types-mev",
    "genesis",
    "arbitrary",
]

[dependencies.chrono]
version = "0.4.38"

[dependencies.serde]
version = "1.0.217"
features = [
    "derive",
    "derive",
]

[dependencies.signet-constants]
version = "0.10"

[dependencies.signet-zenith]
version = "0.10"

[dependencies.thiserror]
version = "2.0.12"

[dev-dependencies.serde_json]
version = "1.0.137"

[dev-dependencies.tokio]
version = "1.37.0"
features = ["macros"]
